Package nl.tudelft.simulation.dsol.animation.gis.map

## Interface LayerInterface

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `Layer`

    public interface LayerInterface
    extends Serializable

This interface defines the layer of the map.

Copyright (c) 2020-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck

### Method Summary

All Methods Instance Methods Abstract Methods
`DataSourceInterface` `getDataSource()` Return the data source, which contains the location of an ESRI shape datasource for now.
`Color` `getFillColor()` Return the fill color for the layer.
`int` `getMaxScale()` Return the maximum scale at which this layer has to be drawn.
`int` `getMinScale()` Return the minimum scale at which this layer has to be drawn.
`String` `getName()` Return the layer name.
`Color` `getOutlineColor()` Return the outline (line) color for the layer.
`boolean` `isDisplay()` Return the display status of the layer (displayed or not).
`boolean` `isTransform()` Return the status for the transformation: should the transform be used for this layer or not?
`void` `setDataSource​(DataSourceInterface dataSource)` Set the data source, which contains the location of an ESRI shape datasource for now.
`void` `setDisplay​(boolean status)` Set the display status of the layer (displayed or not).
`void` `setFillColor​(Color fillColor)` Set the fill color for the layer.
`void` `setMaxScale​(int maxScale)` Set the maximum scale at which this layer has to be drawn.
`void` `setMinScale​(int minscale)` Set the minimum scale at which this layer has to be drawn.
`void` `setName​(String name)` Set the layer name.
`void` `setOutlineColor​(Color outlineColor)` Set the outline (line) color for the layer.
`void` `setTransform​(boolean transform)` Set the status for the transformation: should the transform be used for this layer or not?

### Method Detail

#### getFillColor

    Color getFillColor()

Return the fill color for the layer.

Returns:
  Color; the rgb(a) fill color for the layer

#### setFillColor

    void setFillColor​(Color fillColor)

Set the fill color for the layer.

Parameters:
  `fillColor` - Color; the rgb(a) fill color for the layer

#### getOutlineColor

    Color getOutlineColor()

Return the outline (line) color for the layer.

Returns:
  Color; the rgb(a) outline (line) color for the layer

#### setOutlineColor

    void setOutlineColor​(Color outlineColor)

Set the outline (line) color for the layer.

Parameters:
  `outlineColor` - Color; the rgb(a) outline (line) color for the layer

#### getName

    String getName()

Return the layer name.

Returns:
  String; layer name

#### setName

    void setName​(String name)

Set the layer name.

Parameters:
  `name` - String; layer name

#### getDataSource

    DataSourceInterface getDataSource()

Return the data source, which contains the location of an ESRI shape datasource for now.

Returns:
  DataSourceInterface the data source, contains the location of an ESRI shape datasource for now

#### setDataSource

    void setDataSource​(DataSourceInterface dataSource)

Set the data source, which contains the location of an ESRI shape datasource for now.

Parameters:
  `dataSource` - DataSourceInterface; the data source, contains the location of an ESRI shape datasource for now

#### getMinScale

    int getMinScale()

Return the minimum scale at which this layer has to be drawn. FIXME: how do we define scale?

Returns:
  int; the minimum scale at which this layer has to be drawn

#### setMinScale

    void setMinScale​(int minscale)

Set the minimum scale at which this layer has to be drawn.

Parameters:
  `minscale` - int; the minimum scale at which this layer has to be drawn

#### getMaxScale

    int getMaxScale()

Return the maximum scale at which this layer has to be drawn. FIXME: how do we define scale?

Returns:
  int; the maximum scale at which this layer has to be drawn

#### setMaxScale

    void setMaxScale​(int maxScale)

Set the maximum scale at which this layer has to be drawn.

Parameters:
  `maxScale` - int; the maximum scale at which this layer has to be drawn

#### isDisplay

    boolean isDisplay()

Return the display status of the layer (displayed or not).

Returns:
  boolean; the display status of the layer (displayed or not)

#### setDisplay

    void setDisplay​(boolean status)

Set the display status of the layer (displayed or not).

Parameters:
  `status` - boolean; the display status of the layer (displayed or not)

#### isTransform

    boolean isTransform()

Return the status for the transformation: should the transform be used for this layer or not?

Returns:
  boolean; the status for the transformation: should the transform be used for this layer or not?

#### setTransform

    void setTransform​(boolean transform)

Set the status for the transformation: should the transform be used for this layer or not?

Parameters:
  `transform` - boolean; the status for the transformation: should the transform be used for this layer or not?